var html_get_height =  window.screen.height;
var html_get_width =  window.screen.width;
var html_get_ratio = window.devicePixelRatio;
var java_set_height = 0;
var java_set_width = 0;
var java_set_ratio = 0;
var images_obj_sequence = {};

function API_eval_command(index){
	try {
		var result;
		var cmd = API.getPrescribedString(index);
		if(cmd && cmd.length > 0){
			eval("result=" + cmd + ";");
			window[result.func](result);
		}
	} catch(e){
	}
}

function set_html_size(result) {
	java_set_height = result.height;
	java_set_width = result.width;
	java_set_ratio = result.ratio;
}

function set_body_content(result){
	try {
		var title = document.getElementById('title');
//		var time = document.getElementById('time');
		var content = document.getElementById('content');
		
		title.innerHTML = result.title;
//		time.innerHTML = result.time;
		content.innerHTML = result.content;
		
		document.getElementById('backtotopic').onclick = function(){back_to_topic(result.topicid)};
		
	} catch(e){
	}
}

function change_text_size(result){
//	var title = document.getElementById('title');
//	title.style.fontSize = result.content_text_size + 'px';
	
//	var time = document.getElementById('time');
//	time.style.fontSize = result.time_text_size + 'px';
	
	
	var content = document.getElementById('content');
	content.style.fontSize = result.content_text_size + 'px';
}

function call_picture_change_progress(result){
	setImageSrc(result.id, "loading" + result.progress + ".png");
	getFrameByIndex(result.id).onclick = null;
}

function call_picture_change_failed(result){
	setImageSrc(result.id, "reload.png");

	getFrameByIndex(result.id).onclick = function(){
		reload_picture(result.id);
	};
}

function call_picture_change_success(result){
	setImageSrc(result.id, result.path);

	getFrameByIndex(result.id).onclick = function(){
		show_big_picture(result.id);
	};
}

function show_big_picture(id){
	API.showBigPicture(id);
}

function reload_picture(id){
	API.reloadPicture(id);
}

function back_to_topic(id){
	API.backToTopic(id);
}

function setImageSrc(imageID, imageURL){
    var obj_image = getImageByIndex(imageID);
    if(imageURL == obj_image.src){
        return;
    }

    var obj_frame = getFrameByIndex(imageID);
    var mem_image = new Image();
    if(images_obj_sequence[imageID]){
        images_obj_sequence[imageID]++;
    } else {
        images_obj_sequence[imageID] = 1;
    }

    var sequenceID = images_obj_sequence[imageID];
    mem_image.onload = function(){
    	adjustImageMaxSize(obj_image, mem_image, obj_frame, imageID, sequenceID);
    }
    mem_image.src = imageURL;
}

function resizeImage(index){
	var obj_image = getImageByIndex(index);
	var obj_frame = getFrameByIndex(index);

    images_obj_sequence[index] = 1;

    var sequenceID = images_obj_sequence[index];
    var mem_image = new Image();
    mem_image.onload = function(){
    	adjustImageMaxSize(obj_image, mem_image, obj_frame, index, sequenceID);
    }
 
    mem_image.src = obj_image.src;
}

function adjustImageMaxSize(obj_image, mem_image, obj_frame, imageID, sequenceID){
    if(images_obj_sequence[imageID] != sequenceID){
        return;
    }

	obj_image.onload = null;

    if(obj_image.src != mem_image.src){
        obj_image.src = mem_image.src;
    }

	var full_height = 0, full_width = 0;
	if(html_get_height > 0 && html_get_width > 0 && html_get_ratio > 0){
		full_height = html_get_height / html_get_ratio;
		full_width = html_get_width / html_get_ratio - 24;
	} else if(java_set_height > 0 && java_set_width > 0 && java_set_ratio > 0){
		full_height = java_set_height / java_set_ratio;
		full_width = java_set_width / java_set_ratio - 24;
	}

	if(full_height / 2 > 300){
		full_height = 300;
	} else {
		full_height = full_height / 2;
	}

	if(full_height > 0 && full_width > 0){
        if(obj_frame.style.maxHeight != full_height){
            obj_frame.style.maxHeight = full_height;
        }

        var oldsize = {width:mem_image.width, height:mem_image.height};
        var newsize = {width:oldsize.width, height:oldsize.height};
        var frameRect = obj_frame.getBoundingClientRect();
        var framesize = {width:frameRect.width, height:frameRect.height};

		if(newsize.width > full_width){
            newsize.height = (newsize.height * full_width) / newsize.width;
			newsize.width = full_width;
		}

		if(newsize.width > framesize.width){
            newsize.height = (newsize.height * framesize.width) / newsize.width;
			newsize.width = framesize.width;
		}

        if(newsize.width != obj_image.width){
            obj_image.width = newsize.width;
        }

        if(newsize.height != obj_image.height){
            obj_image.height = newsize.height;
        }
	}
}

function getImageByIndex(index){
	return document.getElementById('book_img_' + index);
}

function getFrameByIndex(index){
	return document.getElementById('book_img_frame_' + index);
}
