package com.jobs.lib_v1.db;

import com.jobs.lib_v1.misc.JavaReflectClass;

public class DBSettings {
	private static JavaReflectClass mAppSettings = new JavaReflectClass("com.jobs.settings.AppSettings");
	private static final String DB_NAME_PREFIX = mAppSettings.getStaticString("DB_NAME_PREFIX", "kitty");

	// 用户跟踪点表名
	public final static String CORE_TABLE_USER_TRACE = "USER_TRACE";

	// 用户跟踪点建表语句
	public final static String CORE_DDL_USER_TRACE = "CREATE TABLE [USER_TRACE]([ID] INTEGER PRIMARY KEY AUTOINCREMENT, [TRACE_POINT] TEXT, [TRACE_COUNT] INTEGER , [TRACE_COUNT_ONSUBMIT] INTEGER); CREATE UNIQUE INDEX [USER_TRACE_unique_key] ON [USER_TRACE] ([TRACE_POINT]);";

	// 应用设置数据库名
	public final static String CORE_DB_NAME = DB_NAME_PREFIX + "-core.db";

	// 数据字典数据库名
	public final static String DICT_DB_NAME = DB_NAME_PREFIX + "-dict.db";

	// 缓存数据库名
	public final static String CACHE_DB_NAME = DB_NAME_PREFIX + "-cache.db";
}
