package com.jobs.lib_v1.list;

import android.content.res.ColorStateList;
import android.graphics.Color;
import android.view.Gravity;
import android.view.View;
import android.widget.TextView;

import com.jobs.lib_v1.settings.LocalStrings;

/**
 * DataListView 空数据单元格
 * 
 * @author solomon.wen
 * @date 2012/09/11
 */
public class ListViewEmptyCell extends ListViewCell {
	public ListViewEmptyCell() {
		super(0);
		CELL_TAG = new Object();
	}

	@Override
	public View getView(final DataListAdapter adapter, int position, View cachedView) {
		View tmpView = super.getView(adapter, position, cachedView);

		TextView textView = (TextView) tmpView.findViewById(TextViewID);
		if (null != textView) {
			String message = adapter.getListData().message.trim();
			if (message.length() < 1) {
				message = LocalStrings.common_text_data_is_empty;
			}

			textView.setGravity(Gravity.CENTER);
			textView.setTextColor(ColorStateList.valueOf(Color.parseColor("#777777")));
			textView.setText(message);

			if (adapter.getListView().getEnableAutoHeight()) {
				textView.setMaxWidth(adapter.getListView().getWidth());
			}
		}

		return tmpView;
	}
}
