package com.jobs.lib_v1.list;

import android.content.res.ColorStateList;
import android.graphics.Color;
import android.view.Gravity;
import android.view.View;
import android.widget.TextView;

import com.jobs.lib_v1.settings.LocalStrings;

/**
 * DataListView 显示下一页信息的单元格
 * 
 * @author solomon.wen
 * @date 2012/09/11
 */
public class ListViewMoreCell extends ListViewCell {
	public ListViewMoreCell() {
		super(0);
		CELL_TAG = new Object();
	}

	@Override
	public View getView(final DataListAdapter adapter, int position, View cachedView) {
		View tmpView = super.getView(adapter, position, cachedView);

		TextView textView = (TextView) tmpView.findViewById(TextViewID);
		if (null != textView) {
			textView.setGravity(Gravity.CENTER);
			textView.setTextColor(ColorStateList.valueOf(Color.parseColor("#000000")));
			textView.setText(LocalStrings.common_text_show_next_page);

			if (adapter.getListView().getEnableAutoHeight()) {
				textView.setMaxWidth(adapter.getListView().getWidth());
			}
		}

		return tmpView;
	}
}
